package zero1hd.rhythmbullet.util;

public interface TransitionAdapter {
	/**
	 * called before assets are cleared from memory.
	 */
	public void preTransition();
	
	/**
	 * called after transition completes and assets reloaded.
	 * @param first true if this is the first time load (when the game is just started or something)
	 */
	public void postTransition(boolean first);
}
